<script setup lang="ts">
import { useLoadingStore } from '~/stores/loading'

const loading = useLoadingStore()
</script>

<template>
  <div v-if="loading.isLoading" class="loader-container">
    <div class="loader"></div>
  </div>
</template>